diff --git a/pgweb/account/views.py b/pgweb/account/views.py
index addd06e..9add0e6 100644
--- a/pgweb/account/views.py
+++ b/pgweb/account/views.py
@@ -70,8 +70,7 @@ def _modobjs(qs):
 
 @login_required
 def home(request):
-    return render_pgweb(request, 'account', 'account/index.html', {
-        'modobjects': [
+    modobjects = [
         {
             'title': 'not submitted yet',
             'objects': [
@@ -88,7 +87,10 @@ def home(request):
                 _modobjs(ProfessionalService.objects.filter(org__managers=request.user, approved=False))
             ],
         },
-        ],
+    ]
+
+    return render_pgweb(request, 'account', 'account/index.html', {
+        'modobjects': filter(lambda x: any(x['objects']), modobjects),
     })
 
 
